<?php
global $wp_query, $wpdb;
?>
<div id="list_view_products_page_container">

<?php wpsc_output_breadcrumbs(); ?>
	<?php do_action('wpsc_top_of_products_page'); // Plugin hook for adding things to the top of the products page, like the live search ?>

	<?php if(wpsc_display_categories() && is_products_page() && !$_GET['product_search']): ?>
	  <?php if(wpsc_category_grid_view()) :?>
			<div class="wpsc_categories wpsc_category_grid group">
				<?php wpsc_start_category_query(array('category_group'=> 1, 'show_thumbnails'=> 1)); ?>
					<span class="mog-category-<?php wpsc_print_category_name();?>">
						<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_grid_item  <?php wpsc_print_category_classes_section(); ?>" title="<?php wpsc_print_category_name();?>">
							<?php wpsc_print_category_image(get_option('category_image_width'), get_option('category_image_height')); ?><span class="album-title"><?php wpsc_print_category_name();?></span></a>					
						<?php wpsc_print_subcategory("", ""); ?>
					</span>
				<?php wpsc_end_category_query(); ?>
			</div><!--close wpsc_categories-->
	  <?php else:?>
		
			<ul class="wpsc_categories">
				<?php wpsc_start_category_query(array('category_group'=> 1, 'show_thumbnails'=> get_option('show_category_thumbnails'))); ?>
						<li>
							<?php wpsc_print_category_image(get_option('category_image_width'), get_option('category_image_height')); ?>
							<a href="<?php wpsc_print_category_url();?>" class="wpsc_category_link  <?php wpsc_print_category_classes_section(); ?>"><?php wpsc_print_category_name();?></a>
							<?php if(get_option('wpsc_category_description')) :?>
								<?php wpsc_print_category_description("<div class='wpsc_subcategory'>", "</div>"); ?>				
							<?php endif;?>
							
							<?php wpsc_print_subcategory("<ul>", "</ul>"); ?>
						</li>
				<?php wpsc_end_category_query(); ?>
			</ul>
		<?php endif; ?>
	<?php endif; ?>

	<?php if(!is_products_page() || $_GET['product_search']): ?>
		<?php if(wpsc_is_in_category()) : ?>
			<div class="wpsc_category_details">
				<?php if(get_option('show_category_thumbnails') && wpsc_category_image()) : ?>
					<img src='<?php echo wpsc_category_image(); ?>' alt='<?php echo wpsc_category_name(); ?>' title='<?php echo wpsc_category_name(); ?>' />
				<?php endif; ?>
				
				
				<?php if(get_option('wpsc_category_description') &&  wpsc_category_description()) : ?>
					<?php echo wpsc_category_description(); ?>
				<?php endif; ?>
			</div><!--close wpsc_category_details-->
		<?php endif; ?>
		
		<?php if(wpsc_has_pages_top()) : ?>
			<div class="wpsc_page_numbers_top">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_top-->
		<?php endif; ?>
		<?php if( 'merchandise' ==  get_query_var('wpsc_product_category') ) : ?>
			<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
			
					<div class="merchandise-product productcol">
						<div class="merch-img"><a href="<?php echo wpsc_the_product_permalink(); ?>"><img src="<?php echo wpsc_the_product_thumbnail(); ?>" alt="<?php wpsc_the_product_title(); ?>" /></a></div>
						<div class="merch-details"><h2 class="prodtitle"><a href="<?php the_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a></h2>
					<?php echo wpsc_the_product_description(); ?>
					</div>
					<div class="merch-buy">
					<?php if(wpsc_show_stock_availability()): ?>	
						<div class="stock">
						<?php if(wpsc_product_has_stock()) : ?>
								<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="in_stock"><?php _e('Product in stock', 'wpsc'); ?></div>
								<?php else: ?>
										<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="out_of_stock"><?php _e('Product not in stock', 'wpsc'); ?></div>
								<?php endif; ?>
						</div>
						<?php endif; ?>
				

							<?php do_action('wpsc_product_before_description', wpsc_the_product_id(), $wp_query->post); ?>

							<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
								<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
							<?php else: ?>
								<?php	$action =  wpsc_this_page_url(); ?>						
							<?php endif; ?>
							<form class='product_form' id="product_<?php echo wpsc_the_product_id(); ?>" enctype="multipart/form-data" action="<?php echo $action; ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>">

								<?php if(wpsc_has_multi_adding()): ?>
			                    <div class="quantity_container">
									<label class="wpsc_quantity_update" for="wpsc_quantity_update_<?php echo wpsc_the_product_id(); ?>"><?php _e('Quantity', 'wpsc'); ?>:</label>
									<input type="text" id="wpsc_quantity_update_<?php echo wpsc_the_product_id(); ?>" name="wpsc_quantity_update" size="2" value="1" />
									<input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
									<input type="hidden" name="wpsc_update_quantity" value="true" />
								</div><!--close quantity_container-->
								<?php endif ;?>		
								<input type="hidden" value="add_to_cart" name="wpsc_ajax_action" />
								<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id" />

								<?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
									<?php if(wpsc_product_has_stock()) : ?>
										<?php while (wpsc_have_variation_groups()) : wpsc_the_variation_group(); ?>
								<?php echo wpsc_the_vargrp_name(); ?>:&nbsp;&nbsp;<select class="wpsc_select_variation" name="variation[<?php echo wpsc_vargrp_id(); ?>]" id="<?php echo wpsc_vargrp_form_id(); ?>">
										<?php while (wpsc_have_variations()) : wpsc_the_variation(); ?>
											<option value="<?php echo wpsc_the_variation_id(); ?>" <?php echo wpsc_the_variation_out_of_stock(); ?>><?php echo wpsc_the_variation_name(); ?></option>
										<?php endwhile; endwhile; ?>
								
										</select>
			        <?php if(wpsc_product_on_special()) : ?>
							<p class="oldprice">Normal Price<?php echo wpsc_product_normal_price(); ?></p>
					<?php endif; ?>
							<p id="product_price_<?php echo wpsc_the_product_id(); ?>" class="pricedisplay currentprice">Price: <?php echo wpsc_the_product_price(); ?></p>				
									<div class="wpsc_buy_button_container" class="merchandise-buy-container">
												<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
												<?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
												<input class="wpsc_buy_button wpsc_merch_button" type="button" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( '', 'wpsc' ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
												<?php else: ?>
											<input type="submit" value="<?php _e('', 'wpsc'); ?>" name="" class="wpsc_buy_button wpsc_merch_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button" />
												<?php endif; ?>
											<div class="wpsc_loading_animation">
												<img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
												<?php _e('Updating cart...', 'wpsc'); ?>
											</div><!--close wpsc_loading_animation-->
										</div><!--close wpsc_buy_button_container-->
									<?php else : ?>
										<p class="soldout"><?php _e('This product has sold out.', 'wpsc'); ?></p>
									<?php endif ; ?>
								<?php endif ; ?>

							</form>
							</div><!-- end merch-details -->
						</div> <!-- .merchandise-product -->	
				<?php endwhile; ?>
				<?php /** end the product loop here */?>
		<?php else : ?>
			
		<table class="list_productdisplay <?php echo wpsc_category_class(); ?>" cellspacing="0" cellpadding="0">
			<?php /** start the product loop here */?>
			<?php $alt = 0;	?>
			<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
				<?php
				$alt++;
				if ($alt %2 == 1) { $alt_class = 'alt'; } else { $alt_class = ''; }
				?>
				<tr class="product_view_<?php echo wpsc_the_product_id(); ?> <?php echo $alt_class;?>">
					<td width="100%">
					<?php 
					//Checks the product title for a reference to album (ie full album) if found will give the title an extra class
					$pattern = "/Album/i";
					$subject = wpsc_the_product_title();
					$class= "";
					$match = preg_match($pattern, $subject); 
					if( $match == 1 )
						$class="fullalbum"
					?>
						<?php echo '<h2 class="prodtitle '. $class.'">'; ?>
							<?php if(get_option('hide_name_link') == 1) : ?>
								<?php echo wpsc_the_product_title(); ?>
							<?php else: ?> 
								<?php echo wpsc_the_product_title(); ?>
							<?php endif; ?>
							
						</h2>
					
					<td class='wpsc_price_td'>
                  			<?php if(wpsc_product_on_special()) : ?>
						<p class="oldprice"><?php echo wpsc_product_normal_price(); ?></p>
					<?php endif; ?>
						<p id="product_price_<?php echo wpsc_the_product_id(); ?>" class="pricedisplay currentprice"><?php echo wpsc_the_product_price(); ?></p>
					</td>
					<?php if(wpsc_show_stock_availability()): ?>	
						<td class="stock">
						<?php if(wpsc_product_has_stock()) : ?>
									<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="in_stock"><?php _e('Product in stock', 'wpsc'); ?></div>
							<?php else: ?>
									<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="out_of_stock"><?php _e('Product not in stock', 'wpsc'); ?></div>
							<?php endif; ?>
						</td>
					<?php endif; ?>
					
					<td>
 						<?php do_action('wpsc_product_before_description', wpsc_the_product_id(), $wp_query->post); ?>
					</td>
					
					
					<td>
						<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
							<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
						<?php else: ?>
							<?php	$action =  wpsc_this_page_url(); ?>						
						<?php endif; ?>
						<form class='product_form' id="product_<?php echo wpsc_the_product_id(); ?>" enctype="multipart/form-data" action="<?php echo $action; ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>">
													
							<?php if(wpsc_has_multi_adding()): ?>
                            <div class="quantity_container">
								<label class="wpsc_quantity_update" for="wpsc_quantity_update_<?php echo wpsc_the_product_id(); ?>"><?php _e('Quantity', 'wpsc'); ?>:</label>
								<input type="text" id="wpsc_quantity_update_<?php echo wpsc_the_product_id(); ?>" name="wpsc_quantity_update" size="2" value="1" />
								<input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
								<input type="hidden" name="wpsc_update_quantity" value="true" />
							</div><!--close quantity_container-->
							<?php endif ;?>		
							<input type="hidden" value="add_to_cart" name="wpsc_ajax_action" />
							<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id" />
	
							<?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
								<?php if(wpsc_product_has_stock()) : ?>
									<div class="wpsc_buy_button_container">
											<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
											<?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
											<input class="wpsc_buy_button wspc_merch_button" type="button" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( 'Buy Now', 'wpsc' ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
											<?php else: ?>
										<input type="submit" value="<?php _e('', 'wpsc'); ?>" name="Buy" class="wpsc_buy_button wspc_merch_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button" />
											<?php endif; ?>
										<div class="wpsc_loading_animation">
											<img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
											<?php _e('Updating cart...', 'wpsc'); ?>
										</div><!--close wpsc_loading_animation-->
									</div><!--close wpsc_buy_button_container-->
								<?php else : ?>
									<p class="soldout"><?php _e('This product has sold out.', 'wpsc'); ?></p>
								<?php endif ; ?>
							<?php endif ; ?>
							
						</form>
					</td>
				</tr>
			<?php endwhile; ?>
			<?php /** end the product loop here */?>
		</table>
		<?php endif; ?>
		
		
		<?php if(wpsc_product_count() == 0):?>
			<p><?php  _e('There are no products in this group.', 'wpsc'); ?></p>
		<?php endif ; ?>
	
	    <?php do_action( 'wpsc_theme_footer' ); ?> 	

			<?php if(wpsc_has_pages_bottom()) : ?>
			<div class="wpsc_page_numbers_bottom">
				<?php wpsc_pagination(); ?>
			</div><!--close wpsc_page_numbers_bottom-->
		<?php endif; ?>
	<?php endif; ?>
</div><!--close list_view_products_page_container-->
